### Method

# St Icon set_fallback_icon_name

#### Declaration [src]

    void
    st_icon_set_fallback_icon_name (
      StIcon* icon,
      const gchar* fallback_icon_name
    )

#### Description [src]

This is a convenience method to set the fallback `GIcon` to a `GThemedIcon` created using the given icon name. If `fallback_icon_name` is an empty string, `NULL` or fails to load, the icon is unset and no texture will be visible for the fallback icon.

Sets property | `St.Icon:fallback-icon-name`

#### Parameters

`fallback_icon_name`

  Type: `const gchar*`

  The name of the fallback icon.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.